# dkim_sig_getsslbuf()

[back to index]

SYNOPSIS

    #include <dkim.h>

    const char * dkim_sig_getsslbuf(
    	DKIM_SIGINFO *sig
    );

Retrieve from a DKIM signature handle SSL error buffer, which will contain the SSL-specific error string, if any.

DESCRIPTION

Called When | `dkim_sig_getsslbuf()` can be called at any time after the cryptographic phase of signature processing has occurred, i.e., after `dkim_eoh()`.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.

RETURN VALUES

Value | Description
--- | ---
`NULL` | No error message was recorded.
otherwise | A pointer to the SSL error message recorded for the provided signature handle.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.